Subject: Re: bug#4206: 23.1; vc-dir bug with git

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 20 Aug 2009 21:14:01 -0700 (PDT)

Tom Tromey <[email-masked]> writes:

  > Please write in English if possible, because the Emacs maintainers
  > usually do not have translators to read other languages for them.
  > 
  > Your bug report will be posted to the [email-masked] mailing list,
  > and to the gnu.emacs.bug news group.
  > 
  > Please describe exactly what actions triggered the bug
  > and the precise symptoms of the bug:
  > 
  > 
  > I ran vc-dir on a git checkout that I have.
  > I have some unregistered subdirectories in this checkout,
  > for example autom4te.cache (created by autoconf).
  > 
  > In the *vc-dir* buffer I see:
  > 
  >                          gdb/testsuite/autom4te.cache/
  >      unregistered        gdb/testsuite/autom4te.cache/
  > 
  > That is, the directory is listed twice.
  > 
  > This seems weird to me.  Is this intentional?
  > I think it should only be listed once.

Not really intentional.
vc-dir assumes that vc-git-dir-status returns only files, that's why it
gets confused when it gets a directory with the "unregistered" state.

What's the right thing to do here?  
vc-git-register does not support (yet?) passing directories as an
argument.